
BHP150 | AZD 1222 - Bug #5637

MISSING  ITEMS IN A BOX ON EDC 

11/01/2022 15:19 - Phatsimo Modiitsane

Status: Closed Start date: 11/01/2022

Priority: Urgent Due date: 19/01/2022

Assignee: moffat motlhanka % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

kindly assist us we either editing or filling one of our box with items to be shipped as we failed to put them in.                                                   

                                                May you also assist us by supplying us with EdC  Manual or S.O.P entailing laboratory procedures for use as

reference if available kindly mail it to amanko@bhp.org.bw and mlegaisa@bhp.org.bw

History

#1 - 13/01/2022 08:34 - moffat motlhanka

- Due date set to 14/01/2022

#2 - 17/01/2022 08:45 - moffat motlhanka

- Due date changed from 14/01/2022 to 19/01/2022

#3 - 25/04/2022 15:39 - moffat motlhanka

- Status changed from New to Closed
